Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPainterPath_Element

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QPainterPath_Element

All Implemented Interfaces:
  QtJambiInterface

    public class QPainterPath_Element

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`static QPainterPath_Element` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QPainterPath_Element instance pointed to by nativePointer
`boolean` | `isCurveTo()` Returns true if the element is a curve, otherwise returns false.
`boolean` | `isLineTo()` Returns true if the element is a line, otherwise returns false.
`boolean` | `isMoveTo()` Returns true if the element is moving the current position, otherwise returns false.
`static QNativePointer` | `nativePointerArray(QPainterPath_Element[] array)` This function returns a QNativePointer that is pointing to the specified QPainterPath_Element array.
`QPainterPath.ElementType` | `type()` Returns the type of element.
`double` | `x()` Returns the x coordinate of the element's position..
`double` | `y()` Returns the y coordinate of the element's position..

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### isCurveTo

    public final boolean isCurveTo()

  Returns true if the element is a curve, otherwise returns false.

  @see type @see `QPainterPath::CurveToElement`

### isLineTo

    public final boolean isLineTo()

  Returns true if the element is a line, otherwise returns false.

  @see type @see `QPainterPath::LineToElement`

### isMoveTo

    public final boolean isMoveTo()

  Returns true if the element is moving the current position, otherwise returns false.

  @see type @see `QPainterPath::MoveToElement`

### x

    public final double x()

  Returns the x coordinate of the element's position..

  @see `setX` @see `operator QPointF`

### y

    public final double y()

  Returns the y coordinate of the element's position..

  @see `setY` @see `operator QPointF`

### type

    public final QPainterPath.ElementType type()

  Returns the type of element.

  @see `setType` @see `isCurveTo` @see `isLineTo` @see `isMoveTo`

### fromNativePointer

    public static QPainterPath_Element fromNativePointer(QNativePointer nativePointer)

  This function returns the QPainterPath_Element instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QPainterPath_Element[] array)

  This function returns a QNativePointer that is pointing to the specified QPainterPath_Element array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD